Reddit User Overview
Get a user's overview (posts and comments).
POST
/v1/reddit/user/:username/overview Request Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| username | path | string | Yes | Reddit username. |
| after | body | string | No | Pagination cursor. |
| before | body | string | No | Optional previous-page cursor. |
| limit | body | number | No | Number of items to return. |
Response Structure
Async kickoff response
Polled run result response
Sync response
Declared output schema
Code Examples
Async + polling
RUN=$(curl -s -X POST "https://api.browsable.app/v1/reddit/user/spez/overview" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"after":"","before":"","limit":25}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
doneSync
curl -X POST "https://api.browsable.app/v1/reddit/user/spez/overview" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"after":"","before":"","limit":25,"_run":{"async":false}}'